<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload\WebInfo;

use UnexpectedValueException;




class WebSubPlatform
{
    


    const WEB_BROWSER = 0;
    


    const APP_STORE = 1;
    


    const WIN_STORE = 2;
    


    const DARWIN = 3;
    


    const WIN32 = 4;
    


    const WIN_HYBRID = 5;

    private static $valueToName = [
        self::WEB_BROWSER => 'WEB_BROWSER',
        self::APP_STORE => 'APP_STORE',
        self::WIN_STORE => 'WIN_STORE',
        self::DARWIN => 'DARWIN',
        self::WIN32 => 'WIN32',
        self::WIN_HYBRID => 'WIN_HYBRID',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

